package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 购物车 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-23
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvTradeOrderLineDao;
import com.heyu.api.data.entity.vv.VvTradeOrderLineEntity;
import com.heyu.api.data.service.vv.VvTradeOrderLineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvTradeOrderLineServiceImpl extends ServiceImpl<VvTradeOrderLineDao, VvTradeOrderLineEntity> implements VvTradeOrderLineService {


    @Autowired
	private VvTradeOrderLineDao vvTradeOrderLineDao;



	@Override
	public VvTradeOrderLineEntity selectVvTradeOrderLineById(Long id){
		return vvTradeOrderLineDao.selectVvTradeOrderLineById(id);
	}



	@Override
	public Long insertVvTradeOrderLine(VvTradeOrderLineEntity vvTradeOrderLine){
		return vvTradeOrderLineDao.insertVvTradeOrderLine(vvTradeOrderLine);
	}



	@Override
	public Long insertOrUpdateVvTradeOrderLine(VvTradeOrderLineEntity vvTradeOrderLine){
		return vvTradeOrderLineDao.insertOrUpdateVvTradeOrderLine(vvTradeOrderLine);
	}



	@Override
	public int updateVvTradeOrderLineById(VvTradeOrderLineEntity vvTradeOrderLine){
		return vvTradeOrderLineDao.updateVvTradeOrderLineById(vvTradeOrderLine);
	}



	@Override
	public int updateCoverVvTradeOrderLineById(VvTradeOrderLineEntity vvTradeOrderLine){
		return vvTradeOrderLineDao.updateCoverVvTradeOrderLineById(vvTradeOrderLine);
	}



	@Override
	public int deleteVvTradeOrderLineById(Long id){
		return vvTradeOrderLineDao.deleteVvTradeOrderLineById(id);
	}



}
